org.eclipse.incquery.viewers.runtime.model.impl

## Class NotationPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.incquery.viewers.runtime.model.impl.NotationPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, NotationPackage

      public class NotationPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements NotationPackage

  An implementation of the model Package.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.viewers.runtime.model.NotationPackage

      `NotationPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.incquery.viewers.runtime.model.NotationPackage

      `ATTRIBUTE, ATTRIBUTE__CONTAINER, ATTRIBUTE__FORMAT, ATTRIBUTE__ID, ATTRIBUTE__LABEL, ATTRIBUTE_FEATURE_COUNT, ATTRIBUTE_OPERATION_COUNT, CONTAINMENT, CONTAINMENT__FORMAT, CONTAINMENT__ID, CONTAINMENT__LABEL, CONTAINMENT__SOURCE, CONTAINMENT__TARGET, CONTAINMENT_FEATURE_COUNT, CONTAINMENT_OPERATION_COUNT, EDGE, EDGE__FORMAT, EDGE__ID, EDGE__LABEL, EDGE__SOURCE, EDGE__TARGET, EDGE_FEATURE_COUNT, EDGE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FORMAT_SPECIFICATION, FORMAT_SPECIFICATION__PROPERTIES, FORMAT_SPECIFICATION_FEATURE_COUNT, FORMAT_SPECIFICATION_OPERATION_COUNT, FORMATTABLE_ELEMENT, FORMATTABLE_ELEMENT__FORMAT, FORMATTABLE_ELEMENT__ID, FORMATTABLE_ELEMENT__LABEL, FORMATTABLE_ELEMENT_FEATURE_COUNT, FORMATTABLE_ELEMENT_OPERATION_COUNT, HIERARCHY_POLICY, ITEM, ITEM__CHILDREN, ITEM__FORMAT, ITEM__ID, ITEM__LABEL, ITEM__PARAM_EOBJECT, ITEM__PARAM_OBJECT, ITEM__PARENT, ITEM__POLICY, ITEM_FEATURE_COUNT, ITEM_OPERATION_COUNT, NOTATION_MODEL, NOTATION_MODEL__CONTAINMENTS, NOTATION_MODEL__EDGES, NOTATION_MODEL__ID, NOTATION_MODEL__ITEMS, NOTATION_MODEL_FEATURE_COUNT, NOTATION_MODEL_OPERATION_COUNT, STRING_TO_STRING_MAP, STRING_TO_STRING_MAP__KEY, STRING_TO_STRING_MAP__VALUE, STRING_TO_STRING_MAP_FEATURE_COUNT, STRING_TO_STRING_MAP_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EReference` | `getAttribute_Container()`
    `org.eclipse.emf.ecore.EClass` | `getAttribute()`
    `org.eclipse.emf.ecore.EClass` | `getContainment()`
    `org.eclipse.emf.ecore.EReference` | `getEdge_Source()`
    `org.eclipse.emf.ecore.EReference` | `getEdge_Target()`
    `org.eclipse.emf.ecore.EClass` | `getEdge()`
    `org.eclipse.emf.ecore.EReference` | `getFormatSpecification_Properties()`
    `org.eclipse.emf.ecore.EClass` | `getFormatSpecification()`
    `org.eclipse.emf.ecore.EReference` | `getFormattableElement_Format()`
    `org.eclipse.emf.ecore.EAttribute` | `getFormattableElement_Id()`
    `org.eclipse.emf.ecore.EAttribute` | `getFormattableElement_Label()`
    `org.eclipse.emf.ecore.EClass` | `getFormattableElement()`
    `org.eclipse.emf.ecore.EEnum` | `getHierarchyPolicy()`
    `org.eclipse.emf.ecore.EReference` | `getItem_Children()`
    `org.eclipse.emf.ecore.EReference` | `getItem_ParamEObject()`
    `org.eclipse.emf.ecore.EAttribute` | `getItem_ParamObject()`
    `org.eclipse.emf.ecore.EReference` | `getItem_Parent()`
    `org.eclipse.emf.ecore.EAttribute` | `getItem_Policy()`
    `org.eclipse.emf.ecore.EClass` | `getItem()`
    `NotationFactory` | `getNotationFactory()`
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Containments()`
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Edges()`
    `org.eclipse.emf.ecore.EAttribute` | `getNotationModel_Id()`
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Items()`
    `org.eclipse.emf.ecore.EClass` | `getNotationModel()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringToStringMap_Key()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringToStringMap_Value()`
    `org.eclipse.emf.ecore.EClass` | `getStringToStringMap()`
    `static NotationPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static NotationPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `NotationPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `NotationPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

    - #### getFormattableElement

          public org.eclipse.emf.ecore.EClass getFormattableElement()

      Specified by:
        `getFormattableElement` in interface `NotationPackage`
      Returns:
        the meta object for class 'Formattable Element'.
      See Also:
        `FormattableElement`

    - #### getFormattableElement_Label

          public org.eclipse.emf.ecore.EAttribute getFormattableElement_Label()

      Specified by:
        `getFormattableElement_Label` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `FormattableElement.getLabel()`, `NotationPackage.getFormattableElement()`

    - #### getFormattableElement_Format

          public org.eclipse.emf.ecore.EReference getFormattableElement_Format()

      Specified by:
        `getFormattableElement_Format` in interface `NotationPackage`
      Returns:
        the meta object for the containment reference 'Format'.
      See Also:
        `FormattableElement.getFormat()`, `NotationPackage.getFormattableElement()`

    - #### getFormattableElement_Id

          public org.eclipse.emf.ecore.EAttribute getFormattableElement_Id()

      Specified by:
        `getFormattableElement_Id` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `FormattableElement.getId()`, `NotationPackage.getFormattableElement()`

    - #### getFormatSpecification

          public org.eclipse.emf.ecore.EClass getFormatSpecification()

      Specified by:
        `getFormatSpecification` in interface `NotationPackage`
      Returns:
        the meta object for class 'Format Specification'.
      See Also:
        `FormatSpecification`

    - #### getFormatSpecification_Properties

          public org.eclipse.emf.ecore.EReference getFormatSpecification_Properties()

      Specified by:
        `getFormatSpecification_Properties` in interface `NotationPackage`
      Returns:
        the meta object for the map 'Properties'.
      See Also:
        `FormatSpecification.getProperties()`, `NotationPackage.getFormatSpecification()`

    - #### getItem

          public org.eclipse.emf.ecore.EClass getItem()

      Specified by:
        `getItem` in interface `NotationPackage`
      Returns:
        the meta object for class 'Item'.
      See Also:
        `Item`

    - #### getItem_Parent

          public org.eclipse.emf.ecore.EReference getItem_Parent()

      Specified by:
        `getItem_Parent` in interface `NotationPackage`
      Returns:
        the meta object for the reference 'Parent'.
      See Also:
        `Item.getParent()`, `NotationPackage.getItem()`

    - #### getItem_Children

          public org.eclipse.emf.ecore.EReference getItem_Children()

      Specified by:
        `getItem_Children` in interface `NotationPackage`
      Returns:
        the meta object for the reference list 'Children'.
      See Also:
        `Item.getChildren()`, `NotationPackage.getItem()`

    - #### getItem_Policy

          public org.eclipse.emf.ecore.EAttribute getItem_Policy()

      Specified by:
        `getItem_Policy` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Policy'.
      See Also:
        `Item.getPolicy()`, `NotationPackage.getItem()`

    - #### getItem_ParamObject

          public org.eclipse.emf.ecore.EAttribute getItem_ParamObject()

      Specified by:
        `getItem_ParamObject` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Param Object'.
      See Also:
        `Item.getParamObject()`, `NotationPackage.getItem()`

    - #### getItem_ParamEObject

          public org.eclipse.emf.ecore.EReference getItem_ParamEObject()

      Specified by:
        `getItem_ParamEObject` in interface `NotationPackage`
      Returns:
        the meta object for the reference 'Param EObject'.
      See Also:
        `Item.getParamEObject()`, `NotationPackage.getItem()`

    - #### getEdge

          public org.eclipse.emf.ecore.EClass getEdge()

      Specified by:
        `getEdge` in interface `NotationPackage`
      Returns:
        the meta object for class 'Edge'.
      See Also:
        `Edge`

    - #### getEdge_Source

          public org.eclipse.emf.ecore.EReference getEdge_Source()

      Specified by:
        `getEdge_Source` in interface `NotationPackage`
      Returns:
        the meta object for the reference 'Source'.
      See Also:
        `Edge.getSource()`, `NotationPackage.getEdge()`

    - #### getEdge_Target

          public org.eclipse.emf.ecore.EReference getEdge_Target()

      Specified by:
        `getEdge_Target` in interface `NotationPackage`
      Returns:
        the meta object for the reference 'Target'.
      See Also:
        `Edge.getTarget()`, `NotationPackage.getEdge()`

    - #### getContainment

          public org.eclipse.emf.ecore.EClass getContainment()

      Specified by:
        `getContainment` in interface `NotationPackage`
      Returns:
        the meta object for class 'Containment'.
      See Also:
        `Containment`

    - #### getNotationModel

          public org.eclipse.emf.ecore.EClass getNotationModel()

      Specified by:
        `getNotationModel` in interface `NotationPackage`
      Returns:
        the meta object for class 'Model'.
      See Also:
        `NotationModel`

    - #### getNotationModel_Items

          public org.eclipse.emf.ecore.EReference getNotationModel_Items()

      Specified by:
        `getNotationModel_Items` in interface `NotationPackage`
      Returns:
        the meta object for the containment reference list 'Items'.
      See Also:
        `NotationModel.getItems()`, `NotationPackage.getNotationModel()`

    - #### getNotationModel_Edges

          public org.eclipse.emf.ecore.EReference getNotationModel_Edges()

      Specified by:
        `getNotationModel_Edges` in interface `NotationPackage`
      Returns:
        the meta object for the containment reference list 'Edges'.
      See Also:
        `NotationModel.getEdges()`, `NotationPackage.getNotationModel()`

    - #### getNotationModel_Containments

          public org.eclipse.emf.ecore.EReference getNotationModel_Containments()

      Specified by:
        `getNotationModel_Containments` in interface `NotationPackage`
      Returns:
        the meta object for the containment reference list 'Containments'.
      See Also:
        `NotationModel.getContainments()`, `NotationPackage.getNotationModel()`

    - #### getNotationModel_Id

          public org.eclipse.emf.ecore.EAttribute getNotationModel_Id()

      Specified by:
        `getNotationModel_Id` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `NotationModel.getId()`, `NotationPackage.getNotationModel()`

    - #### getAttribute

          public org.eclipse.emf.ecore.EClass getAttribute()

      Specified by:
        `getAttribute` in interface `NotationPackage`
      Returns:
        the meta object for class 'Attribute'.
      See Also:
        `Attribute`

    - #### getAttribute_Container

          public org.eclipse.emf.ecore.EReference getAttribute_Container()

      Specified by:
        `getAttribute_Container` in interface `NotationPackage`
      Returns:
        the meta object for the reference 'Container'.
      See Also:
        `Attribute.getContainer()`, `NotationPackage.getAttribute()`

    - #### getStringToStringMap

          public org.eclipse.emf.ecore.EClass getStringToStringMap()

      Specified by:
        `getStringToStringMap` in interface `NotationPackage`
      Returns:
        the meta object for class 'String To String Map'.
      See Also:
        `Map.Entry`

    - #### getStringToStringMap_Value

          public org.eclipse.emf.ecore.EAttribute getStringToStringMap_Value()

      Specified by:
        `getStringToStringMap_Value` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `NotationPackage.getStringToStringMap()`

    - #### getStringToStringMap_Key

          public org.eclipse.emf.ecore.EAttribute getStringToStringMap_Key()

      Specified by:
        `getStringToStringMap_Key` in interface `NotationPackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `NotationPackage.getStringToStringMap()`

    - #### getHierarchyPolicy

          public org.eclipse.emf.ecore.EEnum getHierarchyPolicy()

      Specified by:
        `getHierarchyPolicy` in interface `NotationPackage`
      Returns:
        the meta object for enum 'Hierarchy Policy'.
      See Also:
        `HierarchyPolicy`

    - #### getNotationFactory

          public NotationFactory getNotationFactory()

      Specified by:
        `getNotationFactory` in interface `NotationPackage`
      Returns:
        the factory that creates the instances of the model.

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.